Package csb :: Package bio :: Package hmm :: Class HHpredHitAlignment

[frames] | no frames]

# Class HHpredHitAlignment

source code

                    object --+
                             |
    sequence.AbstractAlignment --+
                                 |
        sequence.SequenceAlignment --+
                                     |
                                    HHpredHitAlignment

Represents a query-template alignment in an HHpred result.

Nested Classes
Inherited from `sequence.AbstractAlignment`: `__metaclass__`

Instance Methods

__init__(self, hit, query, subject) x.__init__(...) initializes x; see help(type(x)) for signature | source code

csb.bio.sequence.A3MAlignment

to_a3m(self) Returns: a query-centric A3M alignment. | source code

Inherited from `sequence.AbstractAlignment`: `__getitem__`, `__iter__`, `add`, `format`, `gap_at`, `subregion` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `sequence.SequenceAlignment`: `parse`

Class Variables
| GAP = `GAP`
Inherited from `sequence.SequenceAlignment`: `__abstractmethods__`

Properties
str | query Query sequence (with gaps)
generator | segments Find all ungapped query-subject segments in the alignment.
str | subject Subject sequence (with gaps)
Inherited from `sequence.AbstractAlignment`: `columns`, `length`, `rows`, `size` Inherited from `object`: `__class__`

Method Details

### __init__(self, hit, query, subject)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `hit` - relevant hit object
  - `query` (str) - the query sequence in the alignment region, with gaps
  - `subject` (str) - the subject sequence in the alignment region, with gaps
Overrides: object.__init__
  (inherited documentation)

### to_a3m(self)

source code

Returns: csb.bio.sequence.A3MAlignment
  a query-centric A3M alignment.

Property Details

### query

Query sequence (with gaps)

Get Method:
  unreachable.query(self) - Query sequence (with gaps)
Type:
  str

### segments

Find all ungapped query-subject segments in the alignment. Return a generator over all ungapped alignment segments, represented by HHpredHit objects

Get Method:
  unreachable.segments(self) - Find all ungapped query-subject segments in the alignment.
Type:
  generator

### subject

Subject sequence (with gaps)

Get Method:
  unreachable.subject(self) - Subject sequence (with gaps)
Type:
  str